function brain_sdt = load_fMRI()

% x_dim = x-dimension of brain
% y_dim = y-dimension of brain
% z_dim = number of brain slices
% t_dim = t dimension of brain
% filename = file from which brain time courses are read
% brain_timecourses(x,y,s,:) = time course for pixel(x,y) in slice s

% Makes the data global
clear global volume;
clear global res_filt;
clc
global volume DIM TYPE FOV VOL slice res_filt images;

[filename,pname] = uigetfile('*.sdt','Sample Dialog Box');
cd(pname);

EditHandle = findobj(gcbf,'Tag','Filename');
set(EditHandle,'String',filename);

[DIM,FOV,VOL,TYPE,longEpoch,numEpoch] = sdt_header(filename);

filename = deblank(filename);
q = length(filename);
if q>=4 & filename(q - 3) == '.'; 
   filename = filename(1:(q - 4)); 
end
filename = [filename '.sdt'];

fid = fopen(filename,'r','ieee-be');
fseek(fid,0,'bof');

aux = fread(fid,TYPE);
fclose(fid);
volume = reshape(aux,DIM(1),DIM(2),DIM(3),DIM(4));
for k=1:DIM(3)
   images(:,:,k)=squeeze(volume(:,:,k,1));
end

%volume = normalize_epochs_3D(volume,longEpoch,numEpoch);;

clear aux;

res_filt=ones(DIM(1),DIM(2),DIM(3),DIM(4));

%visualizes the first slice of the data
slice=1;

handle=imagesc(squeeze(images(:,:,slice)));
axis ij;
command = 'ClickPoint;';
set(handle,'ButtonDownFcn',command);
set(gcbf,'Colormap',gray);
set(gca,'Visible','off');

EditHandle = findobj(gcbf,'Tag','Coordinates');
set(EditHandle,'String','(1,1,1)');        

EditHandle = findobj(gcbf,'Tag','Dimensions');
s=sprintf('(%d,%d,%d,%d)',DIM(1),DIM(2),DIM(3),DIM(4));
set(EditHandle,'String',s);

EditHandle = findobj(gcbf,'Tag','LongEpoch');
s=sprintf('%d',longEpoch);
set(EditHandle,'String',s);

EditHandle = findobj(gcbf,'Tag','NumEpochs');
s=sprintf('%d',numEpoch);
set(EditHandle,'String',s);

epoch_ini=1;
EditHandle = findobj(gcbf,'Tag','epoch_ini');
s=sprintf('%d',epoch_ini);
set(EditHandle,'String',s);

EditHandle = findobj(gcbf,'Tag','epoch_fin');
s=sprintf('%d',numEpoch);
set(EditHandle,'String',s);


