function Map=ActivationMap3D(NoiseData,long_act,num_act,orig_filt)

Dimensions=size(NoiseData);
Rows = Dimensions(1);
Columns = Dimensions(2);
Slices = Dimensions(3);

index=1
for i=1:(num_act/2)
   model(index:index+long_act-1)=0.9;
   model(index+long_act-1:index+2*long_act-1)=1.1;
   index = index+long_act*2;
end

for x=1:Rows
   for y=1:Columns  
      for k=1:Slices
         % extracts the parts corresponding to stimulus and rest of the time serie
         serie=squeeze(NoiseData(x,y,k,:));
         serie=serie/mean(serie);
         cov=corrcoef(serie,model);
         
         Map(x,y,k)=cov(1,2);
      end
   end
end

if orig_filt==2   
   global main_fig;
   EdThr =  findobj(main_fig,'Tag','Threshold');
   thr = str2num(get(EdThr,'String'));
   
   first=0;
   for k=1:Slices
      [R,C] = find(squeeze(Map(:,:,k))>=thr);
      l=size(R);
      for i=1:l(1)
         serie=squeeze(NoiseData(R(i),C(i),k,:));
         a(i,:)=serie'/mean(serie);
      end
      first=l(1);
   end

   realmodel=mean(a);
   realmodel=realmodel/mean(realmodel);
   
   for x=1:Rows
      for y=1:Columns  
         for k=1:Slices
            serie=squeeze(NoiseData(x,y,k,:));
            serie=serie/mean(serie);
            cov=corrcoef(serie,realmodel);      
            Map(x,y,k)=cov(1,2);
         end
      end
   end
   
   figure
   plot(realmodel);
end
 
 
